#
# spec file for package python-termstyle
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-termstyle
Version:        0.1.11
Release:        11.2
Summary:        Console colouring for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/gfxmonk/termstyle
Source:         https://files.pythonhosted.org/packages/source/t/termstyle/termstyle-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%ifpython2
Obsoletes:      %{oldpython}-python-termstyle < %{version}
Provides:       %{oldpython}-python-termstyle = %{version}
%endif
%ifpython3
Provides:       python3-python-termstyle = %{version}
Obsoletes:      python3-python-termstyle < %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
termstyle is a Python library for adding coloured output to
terminal (console) programs.  The definitions come from ECMA-048, the
"Control Functions for Coded Character Sets" standard.

%prep
%setup -q -n termstyle-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
export LANG=en_US.UTF-8
%if %have_python2
python2 setup.py test
%endif
%if %have_python3
python3 test3.py
%endif
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sat May  6 2017 toddrme2178@gmail.com
- Fix Provides/Obsoletes.
* Wed Apr 12 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Mon Apr  3 2017 jengelh@inai.de
- Minor typographical update to descriptions.
* Mon Mar 27 2017 toddrme2178@gmail.com
- Provide/obsolete old package name
- setuptools is not needed at runtime
* Fri Mar 17 2017 tbechtold@suse.com
- Initial packaging (version 0.1.11)
